#ifndef CPLAYBACKMANAGER_H
#define CPLAYBACKMANAGER_H

#include <QObject>
#include "DobotClient.h"
#include <QVector>

class CPlayBackManager : public QObject
{
    Q_OBJECT
private:
    explicit CPlayBackManager(QObject *parent = 0);
    ~CPlayBackManager();
public:
    static CPlayBackManager *instance();
    void store(const QVector<DobotClient::PlayBackPoint> &playBackPoints);
    void restore(QVector<DobotClient::PlayBackPoint> &playBackPoints);

};

#endif // CPLAYBACKMANAGER_H
